%global         pkgname d3-flame-graph

Summary:        A D3.js plugin that produces flame graphs
Name:           js-d3-flame-graph
Version:        4.0.7
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/spiermar/d3-flame-graph
Source0:        %{url}/archive/%{version}/%{pkgname}-%{version}.tar.gz
# cd d3-flame-graph && npm install && tar -cvf xx.tar.xz d3-flame-graph/node_moduels
# gen_source1.sh can have help.
Source1:        js-d3-flame-graph-vendor-%{version}-1.tar.xz
# For auto upgrade
Source2:        gen_source1.sh
Source3:        update_privoders.sh
Source4:        get_package_list.py
Source5:        get_package_version_installed.py

Patch3000:      001-remove-unused-frontend-crypto-and-patch-md4.patch

BuildArch:      noarch
BuildRequires:  nodejs web-assets-devel


Provides: bundled(npm(babel-preset-env)) = 1.7.0
Provides: bundled(npm(clean-webpack-plugin)) = 3.0.0
Provides: bundled(npm(copy-webpack-plugin)) = 5.1.1
Provides: bundled(npm(css-loader)) = 3.5.2
Provides: bundled(npm(d3-array)) = 2.4.0
Provides: bundled(npm(d3-dispatch)) = 1.0.6
Provides: bundled(npm(d3-ease)) = 1.0.6
Provides: bundled(npm(d3-format)) = 1.4.4
Provides: bundled(npm(d3-hierarchy)) = 1.1.9
Provides: bundled(npm(d3-scale)) = 3.2.1
Provides: bundled(npm(d3-selection)) = 1.4.1
Provides: bundled(npm(d3-transition)) = 1.3.2
Provides: bundled(npm(eslint)) = 6.8.0
Provides: bundled(npm(eslint-config-standard)) = 14.1.1
Provides: bundled(npm(eslint-loader)) = 4.0.0
Provides: bundled(npm(eslint-plugin-import)) = 2.20.2
Provides: bundled(npm(eslint-plugin-node)) = 11.1.0
Provides: bundled(npm(eslint-plugin-promise)) = 4.2.1
Provides: bundled(npm(eslint-plugin-standard)) = 4.0.1
Provides: bundled(npm(html-webpack-plugin)) = 4.2.0
Provides: bundled(npm(jest)) = 25.4.0
Provides: bundled(npm(prettier)) = 2.0.4
Provides: bundled(npm(script-ext-html-webpack-plugin)) = 2.1.4
Provides: bundled(npm(style-loader)) = 1.1.4
Provides: bundled(npm(terser-webpack-plugin)) = 1.4.3
Provides: bundled(npm(webpack)) = 4.42.1
Provides: bundled(npm(webpack-cli)) = 3.3.11
Provides: bundled(npm(webpack-dev-server)) = 3.10.3

%description
A D3.js plugin that produces flame graphs from hierarchical data.


%prep
%setup -q -T -D -b 0 -n %{pkgname}-%{version}
%setup -q -T -D -b 1 -n %{pkgname}-%{version}
%patch3000 -p1


%build
./node_modules/.bin/webpack --mode production


%install
install -d -m 755 %{buildroot}/%{_datadir}/%{pkgname}
mv dist/templates/* %{buildroot}/%{_datadir}/%{pkgname}
rmdir dist/templates

install -d -m 755 %{buildroot}/%{_jsdir}/%{pkgname}
cp -a dist/* %{buildroot}/%{_jsdir}/%{pkgname}


%check
./node_modules/.bin/jest


%files
%license LICENSE
%doc README.md examples
%{_jsdir}/%{pkgname}
%{_datadir}/%{pkgname}


%changelog
* Wed Aug 21 2024 rockerzhu <rockerzhu@tencent.com> - 4.0.7-4
- Add scripts for auto upgrade.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.7-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.7-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue May 23 2023 rockerzhu <rockerzhu@tencent.com> - 4.0.7-1
- Initial build.
